# Linked List Library (LLlib)

A simple Python library for creating linked lists and performing well-known operations.

© Copyright 2023, All rights reserved to Hans Haller, MSc Graduate Student in Computer Science at Cranfield University, United Kingdom.

‎ 

![alt text](https://user-images.githubusercontent.com/74055973/284074707-3f1f2e2e-7f5b-45f5-9b1f-a6c71d173169.png)

‎ 

## Context

Linked lists are a fundamental data structure in computer science. They are used to store data in a linear fashion, and are often used to implement other data structures such as stacks, queues, and trees. Linked lists are also used to implement file systems, hash tables, and adjacency lists.

The objective of this package/library (tbd later) is to provide a simple and easy to use interface for creating linked lists and performing simple or complex operations on them. The library is written in Python, and is designed to be used with Python 3.9 or higher.

The core finality of these classes is for anyone to create their own class derived from the `LinkedList` class, and implement their architectures based on the methods provided by the library.

Most of the methods are made to be the most optimal approaches to the problem.

‎ 

## Installation

The library is available on PyPI, and can be installed using `pip`:

``` pip install LLlib ```

Currently, the library only offers the `ListNode` class, which contains all the methods for creating and manipulating linked lists. 

The `LinkedList` class (which will allow to create `ListNode` from a list of values) will be available in the next release.

To import the `ListNode` class, use the following statement:

``` from LLlib import ListNode ```

‎ 

## Usage

...

‎ 

## Acknowledgements

...